Recent WinXP/POS2009 update causes errors with PIII systems

Getting old software/games running on older hardware.

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby DosFreak » 2018-11-08 @ 14:36

https://msfn.org/board/topic/171814-pos ... nt-1156093

11-7-2018

Ok I went for it - everything up to present with the following excluded:

KB4340937
KB4343674
KB4458000
KB4462987
KB4034775
KB4458006
KB4042007
KB4050795
KB4093257
KB4463573
KB4074852
KB4134651 (both versions offered)
Seems like I'm good, everything's working!


https://msfn.org/board/topic/177915-bew ... 0-updates/

Looks like KB4461522 for Office 2010 is incompatible with Windows XP. Likely not compiled for XP on the newer VS but only Vista+

This is good info especially for those of us who use emulators like pcem and want to test software which no one seems to do anymore.
User avatar
DosFreak
l33t++
 
Posts: 9925
Joined: 2002-6-30 @ 16:35
Location: Your Head

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2018-11-08 @ 20:00

DosFreak wrote:...and want to test software which no one seems to do anymore.

LOL! The consumer acts as the QA analyst these days, it is horrific.
User avatar
feipoa
l33t++
 
Posts: 5570
Joined: 2011-3-07 @ 13:54
Location: Canada

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby gerwin » 2018-11-08 @ 22:20

Yes and no. Since when you find a flaw and report it to Microsoft they don't do anything with it. I am thinking of Skype bricking XP or Posready systems, how long ago was that? 2015 it was.

That MSFN thread (which is huge by now) is a great resource. I check it like every few months.
The other day there was a SSD tool mentioned there. Here is a free warning from my own experience: Manual TRIM can cause extensive loss of user data. At least with Crucial SSDs and Windows Posready.
User avatar
gerwin
l33t
 
Posts: 2530
Joined: 2004-5-07 @ 19:21
Location: NL


Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2018-11-12 @ 03:27

Is there a similar list of omitted KB updates for Windows 7 Pro on SSE1 CPUs? And do the Win7 updates incorrectly try to install on SSE1 CPUs causing errors, as it did with POS2009? Or is the updater smart enough to check for SSE1 first?

I'm in the slow process of setting up an ultimate dual Tualatin SCSI RAID testbed with 4 OSes in multi-boot. As there is a 4 primary partition limit, I was thinking of NT4/W2K/XP/Win7 or NT4/W2K/XP/W2k3. I previously tried this using logical drives in extended partitions for greater than 4 partitions, but the Win7 installation messed up itself and the boot loader. Rather than find a solution to this, my brain says just to use 4 OSes instead of 5. I suppose I could also drop NT4 and have W2k3 and Win7.
User avatar
feipoa
l33t++
 
Posts: 5570
Joined: 2011-3-07 @ 13:54
Location: Canada

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2018-11-14 @ 15:32

I installed tonight the November updates and I can report that all of them are working fine!
4466388: OK
4467689: OK
4470118: OK
4470198: OK
The internet explorer update always installs on any system regardless of the presence of SSE2 instructions set or no!
The system is very responsive - in fact i am playing Doom 3 right now b :blush:
nd22
Newbie
 
Posts: 94
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Previous

Return to Software

Who is online

Users browsing this forum: IlhanK and 2 guests